# Visualization
TKV3d
Graphic3d

# Graphic3d_Plotter Class Reference

This class allows the definition of a plotter
.

`#include <Graphic3d_Plotter.hxx>`

## Public Member Functions

virtual Standard_EXPORT void | Destroy ()
| Deletes the plotter <me>. .
| ~Graphic3d_Plotter ()
virtual Standard_EXPORT Standard_Boolean | BeginPlot (const Handle(Graphic3d_DataStructureManager)&aProjector)
| Warning: Returns Standard_True if plotting is enabled in the view. Raises PlotterDefinitionError from Graphic3d if plotting has already started. .
virtual Standard_EXPORT void | EndPlot ()
| Stops the plotting. Warning: Raises PlotterDefinitionError from Graphic3d if plotting has not started yet. .
virtual Standard_EXPORT Standard_Boolean | PlottingState () const =0
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | Graphic3d_Plotter ()
| Initialise the constructor of the plotter. Warning: Raises InitialisationError if the initialisation of the plotter failed. .

## Protected Attributes

Standard_Boolean | MyPlottingState

## Constructor & Destructor Documentation

Graphic3d_Plotter::~Graphic3d_Plotter | ( |  | ) | `[inline]`

Standard_EXPORT Graphic3d_Plotter::Graphic3d_Plotter | ( |  | ) | `[protected]`

## Member Function Documentation

virtual Standard_EXPORT Standard_Boolean Graphic3d_Plotter::BeginPlot | ( | const Handle(Graphic3d_DataStructureManager)& | aProjector | ) | `[virtual]`

virtual Standard_EXPORT void Graphic3d_Plotter::Destroy | ( |  | ) | `[virtual]`

virtual Standard_EXPORT void Graphic3d_Plotter::EndPlot | ( |  | ) | `[virtual]`

Standard_EXPORT const Graphic3d_Plotter::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT Standard_Boolean Graphic3d_Plotter::PlottingState | ( |  | ) | const`[pure virtual]`

## Field Documentation

Standard_Boolean Graphic3d_Plotter::MyPlottingState `[protected]`

The documentation for this class was generated from the following file:

- Graphic3d_Plotter.hxx